Package org.picocontainer

# Class PicoLifecycleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.picocontainer.PicoException
org.picocontainer.PicoLifecycleException

All Implemented Interfaces:
  `Serializable`

public class PicoLifecycleException extends PicoException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PicoLifecycleException(Method method, Object instance, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getInstance()`
`String`
`getMessage()`
`Method`
`getMethod()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PicoLifecycleException

public PicoLifecycleException(Method method, Object instance, Throwable cause)

## Method Details

### getMethod

public Method getMethod()

### getInstance

public Object getInstance()

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`